2.19.1.1 Upgrading from MySQL 5.0 to 5.0.10 or Higher

After upgrading a 5.0 installation to 5.0.10 or higher, it is necessary to upgrade your grant tables. Otherwise, creating stored procedures and functions might not work. The procedure for doing this is described in Section 4.4.9, “mysql_upgrade — Check Tables for MySQL Upgrade”.